module SuperLogger
  class Configuration
    attr_accessor :delimiter, :line_length, :rule_character, :log_path, :logger

    def initialize
      @delimiter      = "\n"
      @line_length    = 50
      @rule_character = '='
      @log_path       = './default.log'
      @logger         = Logger.new(log_path)
    end
  end

  class << self
    attr_writer :config

    def config
      @config ||= Configuration.new
    end

    def configure
      yield(config)
    end
  end
end
